Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.deployment.session
Class ExportOptions

    java.lang.Object
      com.bea.dsp.management.deployment.session.ExportOptions

All Implemented Interfaces:
  java.io.Serializable

    public class ExportOptions

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ExportOptions()`

Method Summary
`java.lang.String` | `getPassphrase()`
`boolean` | `includesConfiguration()`
`boolean` | `isSessionOnly()`
`boolean` | `overwritesJar()`
`ExportOptions` | `setIncludeConfiguration(boolean includeConfiguration)`
`ExportOptions` | `setOverwriteJar(boolean overwriteJar)`
`void` | `setPassphrase(java.lang.String passphrase)`
`ExportOptions` | `setSessionOnly(boolean sessionOnly)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExportOptions

    public ExportOptions()

Method Detail

### setOverwriteJar

    public ExportOptions setOverwriteJar(boolean overwriteJar)

### overwritesJar

    public boolean overwritesJar()

  Returns:
    A boolean setting indicating whether the export output jar may be overwritten. If set to `false`, attempt to overwrite an existing jar will result in an exception.

### setIncludeConfiguration

    public ExportOptions setIncludeConfiguration(boolean includeConfiguration)

### setSessionOnly

    public ExportOptions setSessionOnly(boolean sessionOnly)

### includesConfiguration

    public boolean includesConfiguration()

  Returns:
    A boolean setting indicating whether configuration artifacts (i.e. SPACE, SOURCES, SERVICE and ACCOUNT files) should be also exported.

### isSessionOnly

    public boolean isSessionOnly()

  Returns:
    A boolean setting indicating whether the export should only include artifacts within the user-defined session, as opposed to artifacts within the core.

    If the export is applied on the core session this setting is ignored.

### getPassphrase

    public java.lang.String getPassphrase()

  Returns:
    the passphrase used to encrypt the usernames and the password in exported service accounts.

    This setting is not used if service accounts are not exported.

### setPassphrase

    public void setPassphrase(java.lang.String passphrase)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.